# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "exhale"
version = "0.2.0"
authors = ["Vinyl <v@vinl.dev>"]
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "High and low level bindings to exhale, the open-source xHE-AAC encoder."
readme = "README.md"
keywords = [
    "audio",
    "codec",
    "exhale",
    "aac",
    "usac",
]
categories = [
    "api-bindings",
    "compression",
    "encoding",
    "multimedia::audio",
    "multimedia::encoding",
]
license = "MIT or Apache-2.0"
repository = "https://github.com/nylvim/exhale-rs"

[features]
bundled = ["dep:cmake"]
default = ["bundled"]
low-complexity = []

[lib]
name = "exhale"
path = "src/lib.rs"

[build-dependencies.cmake]
version = "0.1"
optional = true
